Subject: Re: Q: python compiled with gcc-3.2?
From: Pavel Holejsovsky <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 06 Nov 2002 11:11:45 +0100

Claudius,

I think that your problem is that you are linking C++ dll with gcc 
driver. Try to use g++ also for linking, and it should work OK. Or add 
-lstdc++ switch ad the end of your link line (but using g++ for linking 
C++ modules is generally preferred).

Pavel

[email-masked] wrote:
> Now, in SWIG-1.3.16/Examples/python/simple, the result of make:
> 
> @PC169/.../simple$ make
> make -f ../../Makefile SRCS='example.c' SWIG='../../../swig' \
> TARGET='example' INTERFACE='example.i' python
> make[1]: Entering directory
> `/u/schnoerr/Source/C++/Tools/SWIG-1.3.16/Examples/python/simple'
> ../../../swig -python  example.i
> g++ -c   example_wrap.c example.c  -DHAVE_CONFIG_H -DUSE_DL_IMPORT
> -I/hd/schnoerr/local/Installs/Programmierung/Shells/cygwin/lib/python2.2/inc
> lude/python2.2
> -I/hd/schnoerr/local/Installs/Programmierung/Shells/cygwin/lib/python2.2/lib
> /python2.2/config
> gcc -shared example.o  example_wrap.o
> -L/hd/schnoerr/local/Installs/Programmierung/Shells/cygwin/lib/python2.2/lib
> /python2.2/config -lpython2.2  -o _example.dll
> example_wrap.o(.eh_frame+0x11):example_wrap.c: undefined reference to
> `___gxx_personality_v0'
> collect2: ld returned 1 exit status
> make[1]: *** [python] Error 1
> make[1]: Leaving directory
> `/u/schnoerr/Source/C++/Tools/SWIG-1.3.16/Examples/python/simple'
> make: *** [all] Error 2

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/